(define-module (guix-punk packages meowy-webring)
  #:use-module (guix gexp)
  #:use-module (guix packages)
  #:use-module (guix memoization)
  #:use-module (guix download)
  #:use-module (guix utils)
  #:use-module (guix build utils)
  #:use-module (guix build-system copy)
  #:use-module (guix licenses)
  #:use-module (gnu packages base)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages commencement)
  #:use-module (srfi srfi-1)
  #:use-module (srfi srfi-26)) 

(define-public meowy-webring
  (package
    (name "meowy-webring")
    (version "0.1.0")
    (source (origin
      (method url-fetch)
      (uri (string-append "https://git.solarpunk.moe/attachments/609d7519-f5ba-4e97-8709-d9c4ed5cb115"))
      (sha256
        (base32
          "15v7ywvyzqv6j8p9kr8yf3qb08mqq358wlqi68zm1ikggd2mr9nx"))))
    (build-system copy-build-system)
    (arguments (list #:install-plan #~'(("609d7519-f5ba-4e97-8709-d9c4ed5cb115" "bin/meowy-webring"))
                     #:phases #~(modify-phases %standard-phases
                       (add-before 'install 'mark-executable
                         (lambda _ (chmod #$output 755))))))
    (synopsis "The Solar Punk's webring, now in Guix!")
    (description "meowy-webring will watch a JSON file describing an ordered list of URLs (and optionally, site names) to create a webring accessible through links between them.")
    (native-inputs (list pkg-config gcc-toolchain))
    (home-page "https://git.solarpunk.moe/Solarpunk/meowy-webring")
    (license cc0)))

meowy-webring
